For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

List Evaluations

GET
https://api.humanloop.com/v5/evaluations
GET
/v5/evaluations
$curl -G https://api.humanloop.com/v5/evaluations \
> -H "X-API-KEY: <apiKey>" \
> -d file_id=pr_30gco7dx6JDq4200GVOHa \
> -d size=1
1{
2 "records": [
3 {
4 "id": "ev_567yza",
5 "runs_count": 1,
6 "evaluators": [
7 {
8 "version": {
9 "path": "Shared Evaluators/Accuracy Evaluator",
10 "id": "ev_890bcd",
11 "spec": {
12 "arguments_type": "target_required",
13 "return_type": "number",
14 "evaluator_type": "python",
15 "code": "def evaluate(answer, target):\n return 0.5"
16 },
17 "name": "Accuracy Evaluator",
18 "version_id": "evv_012def",
19 "created_at": "2024-05-01T12:00:00Z",
20 "updated_at": "2024-05-01T12:00:00Z",
21 "last_used_at": "2024-05-01T12:00:00Z",
22 "version_logs_count": 1,
23 "total_logs_count": 1,
24 "inputs": [
25 {
26 "name": "answer"
27 }
28 ],
29 "type": "evaluator"
30 },
31 "orchestrated": false,
32 "added_at": "2024-10-12T12:00:00Z"
33 }
34 ],
35 "created_at": "2024-05-01T12:00:00Z",
36 "updated_at": "2024-05-01T12:00:00Z"
37 }
38 ],
39 "page": 1,
40 "size": 10,
41 "total": 1
42}
Retrieve a list of Evaluations for the specified File.
Was this page helpful?
Previous

Create Evaluation

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Query parameters

file_idstringRequired
Filter by File ID. Only Evaluations for the specified File will be returned.
pageintegerOptional>=1Defaults to 1
Page number for pagination.
sizeintegerOptional>=0Defaults to 10
Page size for pagination. Number of Evaluations to fetch.

Response

Successful Response
recordslist of objects
pageinteger
sizeinteger
totalinteger

Errors

422
List Evaluations Get Request Unprocessable Entity Error